---
updatedAt: 2025-10-09T17:57:04.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Get Single Clipping Profile Integration

v4

Retrieves details of a specific integration within a clipping profile.

#### Request

Request syntax:

GET /clipping-profiles/`{Clipping Profile ID}`/integrations/`{Integration ID}`

Request URL variable:

Define the following variables when submitting the above request:

| Variable                      | Description                                                                                                                                                                                 |
| ----------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Clipping Profile ID  Required | Identifies a clipping profile by its system-defined or external ID.  Use the [Get Multiple Clipping Profiles](#GetMultiple) endpoint to retrieve a list of clipping profiles and their IDs. |
| Integration ID  Required      | Identifies a clipping profile integration id by its system-defined ID                                                                                                                       |

<br />

#### Response

A successful request returns a 200 OK response that contains the following properties:

| @id              | String     | Indicates the relative path to an endpoint that returns this clipping profile configuration                                                                  |
| ---------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| @type            | String     | Returns ClippingProfileIntegration.                                                                                                                          |
| created          | String     | Identifies the date and time (UTC) this integration was create. **Syntax**: `{YYYY-MM-DDThh:mm:ss.ssssss}Z` Example: 2024-04-04T16:35:46.054Z                |
| lastmod          | Boolean    | Identifies the date and time (UTC) this integration was create. Syntax: `{YYYY-MM-DDThh:mm:ss.ssssss}Z` Example: 2024-04-04T16:35:46.054Z                    |
| name             | String     | The name of this clipping profile integration                                                                                                                |
| profile          | String     | GUID representing the clipping profile system-generated ID                                                                                                   |
| service          | String     | The type of third party service                                                                                                                              |
| default\_library | String     | This will be a GUID that represents a Library.  This is used in CMS to display a shorter list of assets when trying to decide what intro/outro bumper to use |
| desc             | String     | The description of this profile                                                                                                                              |
| id               | String     | Identifies a clipping profile by its system-defined ID                                                                                                       |
| metamap          | Dictionary | Key/Value\[String] pairs contain the following keys: category, description, keywords, privacyStatus, profile\_id and title                                   |

#### Sample Request/Response

The code below (Python 3) shows how to retrieve a clipping profile integration.

This code imports names from the `api_auth` module for V4 APIs (see below).

<TutorialTile
  backgroundColor="#018FF4"
  emoji="🦉"
  id="682d18228dd6230012097fad"
  link="https://docs.uplynk.com/v2.0/recipes/api-auth-for-classic-authentication-v4-apis"
  slug="api-auth-for-classic-authentication-v4-apis"
  title="API Auth for Classic Authentication (V4 APIs)"
/> 

Request:

```python
			{
			"@id": "/api/v4/clipping-profiles/be1af15490e24399bb6c4f2a36384d66/integrations/c3eb485e9b374945a623abc3b883eb78",
			"@type": "ClippingProfileIntegrations",
			"authenticated": False,
			"created": "2024-05-07T15:48:18.982Z",
			"id": "c3eb485e9b374945a623abc3b883eb78",
			"lastmod": "2024-05-07T16:18:10.257Z",
			"metamap": {
			"category": "$blue_colors",
			"description": "@desc",
			"keywords": "$blue_colors",
			"privacyStatus": "",
			"title": "@desc",
			},
			"name": "My Youtube",
			"profile": "be1af15490e24399bb6c4f2a36384d66",
			"service": "youtube",
			}

```

Response:

```json
			{
			"@id": "/api/v4/clipping-profiles/be1af15490e24399bb6c4f2a36384d66/integrations/c3eb485e9b374945a623abc3b883eb78",
			"@type": "ClippingProfileIntegrations",
			"authenticated": False,
			"created": "2024-05-07T15:48:18.982Z",
			"id": "c3eb485e9b374945a623abc3b883eb78",
			"lastmod": "2024-05-07T16:18:10.257Z",
			"metamap": {
			"category": "$blue_colors",
			"description": "@desc",
			"keywords": "$blue_colors",
			"privacyStatus": "",
			"title": "@desc",
			},
			"name": "My Youtube",
			"profile": "be1af15490e24399bb6c4f2a36384d66",
			"service": "youtube",
			}

```